CompanyProfile

Manages seller onboarding, provides insights into performance, brand information, and selling locations for enhanced visibility and reach.

Brand

The Brand resource encompasses operations related to managing and showcasing branding information for products or services within a business. This resource provides functionalities to retrieve specific brand details, edit and update brand information, create new brands, and list all available brands associated with the business. Brand has access including brand name, logo, description, and other relevant information, and make edits to ensure accuracy and currency. Brand can introduce new product lines or brand identities and facilitate navigation and access to branding information. Overall, the Brand resource streamlines brand management processes, allowing businesses to effectively showcase their brand identities and maintain consistency across their products or services.

Operations
GET
/service/platform/company-profile/v1.0/company/{company_id}/brand/{brand_id}
# Get a brand
PUT
/service/platform/company-profile/v1.0/company/{company_id}/brand/{brand_id}
# update brand
POST
/service/platform/company-profile/v1.0/company/{company_id}/brand/
# Create brand
GET
/service/platform/company-profile/v2.0/company/{company_id}/company-brand
# list company brands
GET

Get a brand

Retrieve detailed information about a specific brand associated to a particular company.
Parameters
company_idpath
string
Required
Id of the company associated to brand that is to be viewed.
brand_idpath
string
Required
Id of the brand to be viewed.
GET
/service/platform/company-profile/v1.0/company/{company_id}/brand/{brand_id}
Loading...
Response
200
400
404
Brand object.
Hide
modified_by
object (UserSchema)
Show
banner
object (BrandBannerSchema)
Show
name
string
_custom_json
object
verified_on
string
| date-time
created_by
object (UserSchema)
Show
created_on
string
| date-time
warnings
object
_locale_language
object
mode
string
synonyms
array of string
modified_on
string
| date-time
uid
integer
reject_reason
string
stage
string
verified_by
object (UserSchema)
Show
slug_key
string
logo
string
description
string
Examples
Parameters
company_id:
1
brand_id:
1
Response
Loading...
PUT

update brand

Modify brand details and meta of a specific brand.
Parameters
company_idpath
string
Required
Id of the company associated to brand that is to be viewed.
brand_idpath
string
Required
Id of the brand to be viewed.
Request body
_custom_json
object
_locale_language
object
synonyms
array of string
company_id
integer
description
string
logo
string
Required
brand_tier
string
Enum
uid
integer
banner
object (BrandBannerSchema)
Required
Show
name
string
Required
PUT
/service/platform/company-profile/v1.0/company/{company_id}/brand/{brand_id}
Loading...
Response
200
400
404
Returns a success response
Hide
uid
integer
message
string
success
boolean
Examples
Parameters
company_id:
1
brand_id:
1
body:
body
Response
Loading...
POST

Create brand

Allows to create a brand associated to a company.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
Request body
_custom_json
object
_locale_language
object
synonyms
array of string
company_id
integer
description
string
logo
string
Required
brand_tier
string
Enum
uid
integer
banner
object (BrandBannerSchema)
Required
Show
name
string
Required
slug_key
string
POST
/service/platform/company-profile/v1.0/company/{company_id}/brand/
Loading...
Response
201
400
404
409
Returns a success response
Hide
uid
integer
message
string
success
boolean
Examples
Parameters
company_id:
1
body:
body
Response
Loading...
GET

list company brands

Retrieve a list of available brands associated to a company.
Parameters
company_idpath
string
Required
Id of the company.
page_noquery
integer
The page number to navigate through the given set of results
Default Value : 1
page_sizequery
integer
Number of items to retrieve in each page. Default is 10.
Default Value : 20
qquery
string
Search term for name.
GET
/service/platform/company-profile/v2.0/company/{company_id}/company-brand
Loading...
Response
200
400
404
Brand object.
Hide
items
array of object (CompanyBrandSchema)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
page_no:
1
page_size:
20
q:
"test"
Response
Loading...

Seller Onboarding

The Seller Onboarding used for management of seller accounts and provide insights into company metrics related to brand and store status, verified and unverified products, as well as company and store documents. Seller Onboarding can access company metrics, gaining valuable information on the performance and compliance status of seller accounts. Seller Onboarding accrss company profiles associated with seller accounts, allowing for a deeper understanding of the business, products, and services offered. Seller Onboarding enables users to edit and update company profiles directly, ensuring that the information reflected across platforms remains accurate and up-to-date.

Operations
GET
/service/platform/company-profile/v2.0/company/{company_id}
# Get company profile
PATCH
/service/platform/company-profile/v2.0/company/{company_id}
# Update company profile
GET

Get company profile

View the company profile of the seller account.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
GET
/service/platform/company-profile/v2.0/company/{company_id}
Loading...
Response
200
400
404
Company profile object.
Hide
business_info
string
taxes
array of object (CompanyTaxesSchema)
Show
business_type
string
name
string
_custom_json
object
verified_on
string
| date-time
created_by
object (UserSchema)
Show
created_on
string
| date-time
warnings
object
business_details
object (BusinessDetails)
Show
mode
string
contact_details
object (ContactDetails)
Show
business_country_info
object (BusinessCountryInfo)
Show
modified_on
string
| date-time
uid
integer
franchise_enabled
boolean
stage
string
company_type
string
Enum
documents
array of object (Document)
Show
addresses
array of object (GetAddressSchema)
Show
verified_by
object (UserSchema)
Show
notification_emails
array of string
modified_by
object (UserSchema)
Show
Examples
Parameters
company_id:
1
Response
Loading...
PATCH

Update company profile

Allows to edit the company profile of the seller account.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
Request body
franchise_enabled
boolean
business_info
string
warnings
object
company_type
string
Enum
_custom_json
object
taxes
array of object (CompanyRequestTaxesSchema)
Show
business_details
object (BusinessDetails)
Show
documents
array of object (Document)
Show
business_type
string
addresses
array of object (CreateUpdateAddressSchema)
Show
notification_emails
array of string
contact_details
object (ContactDetails)
Show
reject_reason
string
name
string
PATCH
/service/platform/company-profile/v2.0/company/{company_id}
Loading...
Response
200
400
404
409
Returns a success message
Hide
uid
integer
message
string
success
boolean
Examples
Parameters
company_id:
1
body:
body
Response
Loading...

Selling Location

Handle company specific location-related operations, including creating locations in bulk, updating and retrieving location details and also creating and retrieving location tags to categorize and manage locations effectively.

Operations
POST
/service/platform/company-profile/v2.0/company/{company_id}/location
# Create company stores
GET
/service/platform/company-profile/v2.0/company/{company_id}/location/{location_id}
# Get company stores
PUT
/service/platform/company-profile/v2.0/company/{company_id}/location/{location_id}
# Update company stores
POST
/service/platform/company-profile/v1.0/company/{company_id}/location/bulk
# Bulk create company stores
GET
/service/platform/company-profile/v1.0/company/{company_id}/location/tags
# Get company store tags
POST

Create company stores

Create a new location associated to a company.
Parameters
company_idpath
string
Required
Id of the company inside which the location is to be created.
Request body
code
string
Required
A unique identifier for the store location. Must be a non-empty string with a maximum length of 100 characters.
Maximum Length : 100
gst_credentials
object (InvoiceDetailsSchema)
Show
contact_numbers
array of object (SellerPhoneNumber)
Show
name
string
Required
The value of the name. Should be a non-empty string and length should not exceed 300 characters.
Maximum Length : 300
_custom_json
object
warnings
object
address
object (AddressSchema)
Required
Show
company
integer
Required
store_type
string
Enum
manager
object (LocationManagerSchema)
Show
auto_invoice
boolean
Default Value : false
uid
integer
timing
array of object (LocationDayWiseSchema)
Show
stage
string
documents
array of object (Document)
Required
Show
credit_note
boolean
Default Value : false
holiday
array of object (HolidaySchemaSchema)
Show
product_return_config
object (ProductReturnConfigSchema)
Show
display_name
string
Required
The value of the display_name. Should be a non-empty string and length should not exceed 300 characters.
Maximum Length : 300
notification_emails
array of string
tags
array of string
Default Value :
default_order_acceptance_timing
boolean
Flag to set order_acceptance_timing as default timing
order_acceptance_timing
array of object (LocationDayWiseSchema)
Order acceptance timing of the store
Show
avg_order_processing_time
object (AverageOrderProcessingTime)
Show
bulk_shipment
boolean
Default Value : false
multi_piece_shipment
boolean
Flag indicating if multi-piece shipment is enabled for the location.
Default Value : false
auto_assign_courier_partner
boolean
Default Value : true
POST
/service/platform/company-profile/v2.0/company/{company_id}/location
Loading...
Response
200
400
404
Returns a success response
Hide
uid
integer
message
string
success
boolean
Examples
Parameters
company_id:
1
body:
body
Response
Loading...
GET

Get company stores

Retrive detailed information about a specific location associated to a specific company.
Parameters
company_idpath
string
Required
Id of the company inside which the location lies.
location_idpath
string
Required
Id of the location which you want to view.
GET
/service/platform/company-profile/v2.0/company/{company_id}/location/{location_id}
Loading...
Response
200
400
404
Brand object.
Hide
code
string
phone_number
string
contact_numbers
array of object (SellerPhoneNumber)
Show
gst_credentials
object (InvoiceDetailsSchema)
Show
name
string
_custom_json
object
verified_on
string
| date-time
created_by
object (UserSchema)
Show
created_on
string
| date-time
company
object (GetCompanySchema)
Show
address
object (GetAddressSchema)
Show
warnings
object
store_type
string
Enum
manager
object (LocationManagerSchema)
Show
auto_invoice
boolean
modified_on
string
| date-time
uid
integer
timing
array of object (LocationDayWiseSchema)
Show
stage
string
documents
array of object (Document)
Show
credit_note
boolean
holiday
array of object (HolidaySchemaSchema)
Show
display_name
string
product_return_config
object (ProductReturnConfigSchema)
Show
verified_by
object (UserSchema)
Show
notification_emails
array of string
modified_by
object (UserSchema)
Show
tags
array of string
default_order_acceptance_timing
boolean
order_acceptance_timing
array of object (LocationDayWiseSchema)
Show
avg_order_processing_time
object (AverageOrderProcessingTime)
Show
bulk_shipment
boolean
multi_piece_shipment
boolean
Flag indicating if multi-piece shipment is enabled for the location.
auto_assign_courier_partner
boolean
qc_based_return_inventory_sync
boolean
Examples
Parameters
company_id:
10
location_id:
1
Response
Loading...
PUT

Update company stores

Allows to edit a location associated to a company.
Parameters
company_idpath
string
Required
Id of the company inside which the location is to be created.
location_idpath
string
Required
Id of the location which you want to edit.
Request body
code
string
Required
A unique identifier for the store location. Must be a non-empty string with a maximum length of 100 characters.
Maximum Length : 100
gst_credentials
object (InvoiceDetailsSchema)
Show
contact_numbers
array of object (SellerPhoneNumber)
Show
name
string
Required
The value of the name. Should be a non-empty string and length should not exceed 300 characters.
Maximum Length : 300
_custom_json
object
warnings
object
address
object (AddressSchema)
Required
Show
company
integer
Required
store_type
string
Enum
manager
object (LocationManagerSchema)
Show
auto_invoice
boolean
Default Value : false
uid
integer
timing
array of object (LocationDayWiseSchema)
Show
stage
string
documents
array of object (Document)
Required
Show
credit_note
boolean
Default Value : false
holiday
array of object (HolidaySchemaSchema)
Show
product_return_config
object (ProductReturnConfigSchema)
Show
display_name
string
Required
The value of the display_name. Should be a non-empty string and length should not exceed 300 characters.
Maximum Length : 300
notification_emails
array of string
tags
array of string
Default Value :
default_order_acceptance_timing
boolean
Flag to set order_acceptance_timing as default timing
order_acceptance_timing
array of object (LocationDayWiseSchema)
Order acceptance timing of the store
Show
avg_order_processing_time
object (AverageOrderProcessingTime)
Show
bulk_shipment
boolean
Default Value : false
multi_piece_shipment
boolean
Flag indicating if multi-piece shipment is enabled for the location.
Default Value : false
auto_assign_courier_partner
boolean
Default Value : true
PUT
/service/platform/company-profile/v2.0/company/{company_id}/location/{location_id}
Loading...
Response
200
400
404
Returns a success response
Hide
uid
integer
message
string
success
boolean
Examples
Parameters
company_id:
1
location_id:
1
body:
body
Response
Loading...
POST

Bulk create company stores

Allows to create locations in bulk at once associated to a company
Parameters
company_idpath
string
Required
Id of the company inside which the location is to be created.
Request body
data
array of object (LocationSchema)
Show
POST
/service/platform/company-profile/v1.0/company/{company_id}/location/bulk
Loading...
Response
200
400
404
Returns a success response
Hide
uid
integer
message
string
success
boolean
Examples
Parameters
company_id:
10
body:
body
Response
Loading...
GET

Get company store tags

Retrieve all the distinct tags associated to a company location.
Parameters
company_idpath
string
Required
Id of the company inside which the location is to be created.
GET
/service/platform/company-profile/v1.0/company/{company_id}/location/tags
Loading...
Response
200
400
404
Tags list.
Hide
tags
array of string
success
boolean
Examples
Parameters
company_id:
1
Response
Loading...